Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class IpResourceSubscriptionReal

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceSubscriptionReal

All Implemented Interfaces:
  `Serializable`, `Idable`

public class IpResourceSubscriptionReal extends Id
Лог фактического использования ресурса. Меняется всегда с текущего дня (или в будущем ).

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpResourceSubscriptionReal()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getAddressFrom()`
  `byte[]`
  `getAddressTo()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getSubscriberId()`
  `String`
  `getSubscriberTitle()`
  `IpResourceSubscriptionReal`
  `setAddressFrom(byte[] addressFrom)`
  `IpResourceSubscriptionReal`
  `setAddressTo(byte[] addressTo)`
  `IpResourceSubscriptionReal`
  `setDateFrom(Date dateFrom)`
  `IpResourceSubscriptionReal`
  `setDateTo(Date dateTo)`
  `IpResourceSubscriptionReal`
  `setId(int id)`
  Устанавливает id объекта
  `IpResourceSubscriptionReal`
  `setSubscriberId(int subscriberId)`
  `IpResourceSubscriptionReal`
  `setSubscriberTitle(String subscriberTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceSubscriptionReal

    public IpResourceSubscriptionReal()

- ## Method Details

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getSubscriberId

    public int getSubscriberId()

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### setAddressFrom

    public IpResourceSubscriptionReal setAddressFrom(byte[] addressFrom)

  - ### setAddressTo

    public IpResourceSubscriptionReal setAddressTo(byte[] addressTo)

  - ### setDateFrom

    public IpResourceSubscriptionReal setDateFrom(Date dateFrom)

  - ### setDateTo

    public IpResourceSubscriptionReal setDateTo(Date dateTo)

  - ### setId

    public IpResourceSubscriptionReal setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setSubscriberId

    public IpResourceSubscriptionReal setSubscriberId(int subscriberId)

  - ### setSubscriberTitle

    public IpResourceSubscriptionReal setSubscriberTitle(String subscriberTitle)